import { OnDestroy, OnInit } from "@angular/core";
import { Subscription } from "rxjs";
import { StiTableElement } from "../elements/StiTableElement";
import { StiModelService } from "../services/model.service";
import { StiMouseService } from "../services/mouse.service";
export declare class StiTableColumnResizerComponent implements OnInit, OnDestroy {
    model: StiModelService;
    mouseService: StiMouseService;
    resizableItem?: any;
    element?: StiTableElement;
    index?: number;
    mouseUpSubscription: Subscription;
    mouseMoveSubscription: Subscription;
    startPoint: number;
    minWidth: number;
    startColumnWidth: number;
    adjacentColumnWidth: number;
    maxWidth: number;
    isResizing: boolean;
    initResize(event: any): void;
    resize(event: MouseEvent): void;
    get showResizePreview(): boolean;
    constructor(model: StiModelService, mouseService: StiMouseService);
    ngOnDestroy(): void;
    ngOnInit(): void;
}
